## 安装并使用

### 创建 API 密钥
前往 [Oracle Cloud](https://cloud.oracle.com)，登录后左上角打开菜单，选择“身份和安全”组，在右侧找到“身份”，然后找到“用户”。  

![从菜单中找到用户](images/Find-the-user-from-the-menu.png)

然后找到自己的账号（一般用注册邮箱命名），如果先前有创建过帐号，找不到自己的帐号，可以在“用户类型”选择“本地”，会方便查找，找到自己的帐号后点进去。  

![找到并选择主用户](images/Locate-and-select-the-primary-user.png)

进去后，左下角资源选择“API密钥”，右侧列表选添加 API 密钥，在弹出的窗口中点击“下载私有密钥”，将密钥下载下来妥善保管好（可以先根据需要命名），然后点击“添加”。  

![创建 API 机密密钥](images/Create-api-secret-key.png)

点击后，会显示一个身份配置模板，将模板复制下来，粘贴到一个文件上，将文件命名为`<自定义名字>.oracle.ini`。  

![复制身份认证配置](images/Create-authentication-profile.png)

粘贴到文件之后，将刚刚保存好的密钥路径粘贴到`key_file`项里，如图所示：  
![粘贴到文件中并设置密钥路径](images/Save-to-file.png)

哨兵支持解析密钥*相对于*配置文件的路径，所以可以填相对路径，方便移动配置文件和密钥文件。  

这样一个身份配置就准备好了，如果你有多个甲骨文云帐号，也可以重复以上步骤创建。  

## 安装哨兵 ##
从 [Github releases](https://github.com/LamGC/Oracle-Sentry/releases) 页面下载最新的版本，放在一个文件夹中。

使用 Java 16 启动哨兵，哨兵会初始化几个目录和文件：
- `identity`：将所有从官网创建的身份配置文件放入该文件夹，如果你在配置文件中使用了密钥的相对路径，请记得移动密钥文件，或者修正密钥文件路径。
- `scripts`：脚本文件夹，将编写好的脚本放入即可，脚本加载器会将其可以加载的脚本加载到哨兵中，让脚本运行。
- `config`：配置文件夹，如果有修改配置的需要可以在内部创建 `application.yml` 并对具体项做修改，一般情况下不需要修改，具体信息另外写一篇。

文件夹和文件夹里的文件准备好后，就可以启动哨兵，开始工作了。

> 哨兵通过脚本实现对服务器的自动化控制，脚本中采用了触发器（Trigger），当触发器条件满足时，将执行脚本注册的方法，以自动执行一些操作。

## 安装脚本 ##

将脚本直接放入运行目录下的 `scripts` 文件夹即可, 如果脚本无误，启动哨兵后脚本将会开始工作！  

> 注意：脚本暂时不支持动态添加，如果你添加了新的脚本，记得重启哨兵！

